/*
 * Author: Vincenzo Ciaschini <vincenzo.ciaschini@cnaf.infn.it>
 *
 * Copyright (c) Members of the EGEE Collaboration. 2004-2010.
 * See http://www.eu-egee.org/partners/ for details on the copyright holders.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
#include <openssl/x509.h>
#include <openssl/evp.h>
#include <openssl/stack.h>

#include "internal.h"

namespace vomsspace {
internal::internal(): cert(NULL), key(NULL), chain(NULL)
{
}

internal::~internal()
{
  X509_free(cert);
  EVP_PKEY_free(key);
  sk_X509_pop_free(chain, X509_free);
}

}
